Package org.apache.solr.common.util

# Class SolrNamedThreadFactory

java.lang.Object
org.apache.solr.common.util.SolrNamedThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

public class SolrNamedThreadFactory extends Object implements ThreadFactory
A `ThreadFactory` that names threads with the given prefix.

## Constructor Summary

Constructors
Constructor
Description
`SolrNamedThreadFactory(String namePrefix)`

## Method Summary

Modifier and Type
Method
Description
`Thread`
`newThread(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SolrNamedThreadFactory

public SolrNamedThreadFactory(String namePrefix)

## Method Details

### newThread

public Thread newThread(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`